package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserRoleDetail;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserRoleDetailSearchContext;

/**
 * 实体[UserRoleDetail] 服务对象接口
 */

public interface IUserRoleDetailService{
     boolean remove(String userRoleDetailId) ;
     boolean update(UserRoleDetail userRoleDetail) ;
     boolean save(UserRoleDetail userRoleDetail) ;
     boolean create(UserRoleDetail userRoleDetail) ;
     UserRoleDetail getDraft(UserRoleDetail userRoleDetail) ;
     boolean checkKey(UserRoleDetail userRoleDetail) ;
     UserRoleDetail get(String userRoleDetailId) ;
     UserRoleDetail get(UserRoleDetail userRoleDetail) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserRoleDetail> searchDefault(UserRoleDetailSearchContext context) ;

    /**
     * 根据用户对象查询
     */
     Page<UserRoleDetail> selectByUserObject(String userobjectid) ;
     List<UserRoleDetail> selectByUserObject2(String userobjectid);

    /**
     * 根据用户角色查询
     */
     Page<UserRoleDetail> selectByUserRole(String userroleid) ;
     List<UserRoleDetail> selectByUserRole2(String userroleid);

}
